Subject: Re: bug#38378: 26.3.50; [PATCH] Add the hierarchy library

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 14:49:51 +0200

Damien Cassou <[email-masked]> writes:

> Please find attached a patch adding hierarchy.el and
> hierarchy-tests.el. The hierarchy library allows to create, query,
> navigate and display hierarchy structures.
>
> Two years ago, I suggested adding this library to ELPA and you guys on
> CC answered you wanted it in Emacs core:
> https://lists.gnu.org/archive/html/emacs-devel/2017-10/msg00624.html
>
> You also had several suggestions and I implemented none of them. I agree
> they all make sense, I just haven't found motivation to do that yet
> because hierarchy is working well for me already.
>
> What do you think?

There was some discussion about whether to put this in ELPA or Emacs
core, but Eli seemed to be in favour of having it in Emacs core, so I've
now applied the patch.

This makes sense to me, too -- it's infrastructure, so having it in the
core makes things much easier for other applications to depend on it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no